﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UserActivity
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                System.DateTime to = System.DateTime.Now;
                System.DateTime from = new System.DateTime(to.Year, to.Month, 1);
                VisualTimeSpentExt.UserActivitySummary summary = VisualTimeSpentExt.Reports.UserActivity(from, to);
                Console.WriteLine("Time spent in Visual Studio for period {0} - {1}: {2}", from, to, summary.TimeSpent);
                foreach (VisualTimeSpentExt.SolutionActivitySummary solution in summary.Solutions)
                {
                    string name = solution.Info != null ? solution.Info.Name : "[No solution]";
                    string path = solution.Info != null ? solution.Info.Path : "";
                    Console.WriteLine("  Solution {0}: {1} ({2})", name, solution.TimeSpent, path);
                    foreach (VisualTimeSpentExt.ProjectActivitySummary project in solution.Projects)
                    {
                        string projectName = project.Info != null ? project.Info.Name : "[No project]";
                        string projectPath = project.Info != null ? project.Info.Path : "";
                        Console.WriteLine("    Project {0}: {1} ({2})", projectName, project.TimeSpent, projectPath);
                        foreach (VisualTimeSpentExt.WindowActivitySummary window in project.Windows)
                        {
                            string title = window.Title != null ? window.Title : "[No window]";
                            Console.WriteLine("      Window {0}: {1}", title, window.TimeSpent);
                        }
                    }
                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e);
            }
        }
    }
}
